Subject: Re: bug#78863: 31.0.50; Feature request: add option for greedy looking-back to abbrev-before-point

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Jun 2025 17:55:35 +0300

> Date: Sun, 22 Jun 2025 14:17:15 +0000
> From:  Alexander Prähauser via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> 
> This is a feature request: I have a keyboard layout with many Unicode
> symbols like ∀ and such, which I would like to define abbrevs with, so
> for instance I would like to define "o∀" to expand to "overall". This
> doesn't work when the abbrev is isolated using backward-word

This is because by default, word motion stops at the character-script
boundaries.  But you could override that by suitable changes to
word-combining-categories, which see.  Did you try that?